/* Animation stuff (Keyframes, then controllers) */
@keyframes fly-in-left {
    0% {
        transform: translateX(-1000px);
        opacity: 0;
    }
    100% {
        transform: translateX(0px);
        opacity: 1;
    }
}
@keyframes fly-in-right {
    0% {
        transform: translateX(1000px);
        opacity: 0;
    }
    100% {
        transform: translateX(0px);
        opacity: 1;
    }
}
@keyframes subtitle {
	0% {
		transform: scale(0.875)
    }
	100% {
		transform: scale(1)
    }
}

#fly-left.in-view {
    animation: fly-in-left 2s ease-in-out forwards;
}
#fly-right.in-view {
    animation: fly-in-right 2s ease-in-out forwards;
}

/* Basic, general elements */
html, body {
    max-width: 100%;
    overflow-x: hidden;
}

body {
    background-color: #016eaf;
    background-image: url(images/background.png);
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
}
p {
    color: #000000;
    font-size: clamp(16px, 2.5vw, 24px);
    padding: 20px 20px 20px 20px;
}
ul {
    color: #000000;
    font-size: clamp(16px, 2.5vw, 24px);
    padding: 20px 20px 20px 40px;
}
h1 { 
    font-size:clamp(36px,6vw,65px);
}
h4 {
    color:#FFFF00;
    text-shadow: 1px 1px black
}
button {
    background-color: #853a8f;
    padding: 10px 10px 10px 10px;
    color: white;
}
button a {
    text-decoration: none;
    color: white;
    font-size: 150%;
}

/* Classes */
.body_text {
    background-color: rgba(202, 202, 202,0.7);
    display: flex;
    align-items: center;
}
.body_text img {
    width: 70%;
    padding: 20px 20px 20px 20px;
}

/* IDs */
#spacer {
    height: 50em
}
#left {
    float: left;
}
#right {
    float: right;
}
#center {
    text-align: center;
}

/* Specific sections (Navigation bar, footer, etc) */
#Navbar {
    border-style: solid;
    border-color: #cacaca;
    border-width: 2px;
    padding-bottom: 10px;
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 0%;
    background-color: #016eaf;
    text-align: center;
}
#Navbar img {
    width: 50%;
}
#Navbar a {
    border-style: solid;
    border-width: 1px;
    padding-bottom: 5px;
    padding-top: 5px;
    padding-left: 5px;
    padding-right: 5px;
    background-color: #cacaca;
    text-decoration: none;
    color: black;
    font-size: clamp(16px, 1.5vw, 24px);
    transition: 0.5s;
}
#Navbar a:hover {
    background-color: #853a8f;
    color: white;
    font-size: 200%;
}
#Navbar #selected {
    background-color:#c2491e;
    color: white;
}

footer {
    background-color: #016eaf;
    border-style: solid;
    border-color: #cacaca;
    border-width: 2px;
    width: 100%;
}
footer p {
    font-size: 20px;
    color: white;
}
footer a {
    padding-bottom: 5px;
    padding-top: 5px;
    padding-left: 5px;
    padding-right: 5px;
    color: #DFE7F2;
    font-size: 20px;
    border-style: solid;
    border-color: #cacaca;
    border-width: 2px;
}

#subtitle { 
	text-align: center;
	color: #FFFF00;
	text-shadow: 1px 1px 0px #000;
	position: relative;
	bottom: 25px;
	animation: subtitle .5s;
	animation-direction: alternate;
	animation-iteration-count: infinite;
    padding-bottom: 0%;
}

@media (max-width: 768px) {
    .body_text {
        flex-direction: column;
    }
    .body_text img {
        width: 90%
    }

    #Navbar a {
        display: block;
        margin: 8px 0;
    }
    #Navbar img{
        width: 100%;
    }
    footer p{
        font-size: 10px;
    }
    footer a{
        font-size: 10px;
}